"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.redeemerConfigKey = exports.foreignContractKey = exports.transferKey = exports.bridgeKey = void 0;
const web3_js_1 = require("@solana/web3.js");
const constants_1 = require("./constants");
function bridgeKey(rndrMint, wrndrMint, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("bridge", "utf-8"),
        rndrMint.toBuffer(),
        wrndrMint.toBuffer()
    ], programId);
}
exports.bridgeKey = bridgeKey;
function transferKey(vaaMsg, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("transfer", "utf-8"),
        vaaMsg
    ], programId);
}
exports.transferKey = transferKey;
function foreignContractKey(chain, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("foreign_contract"),
        (() => {
            const buf = Buffer.alloc(2);
            buf.writeUInt16LE(chain);
            return buf;
        })(),
    ], programId);
}
exports.foreignContractKey = foreignContractKey;
function redeemerConfigKey(programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("redeemer"),
    ], programId);
}
exports.redeemerConfigKey = redeemerConfigKey;
//# sourceMappingURL=pdas.js.map