import { PublicKey } from "@solana/web3.js";
import { PROGRAM_ID } from "./constants";
export function bridgeKey(rndrMint, wrndrMint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("bridge", "utf-8"),
        rndrMint.toBuffer(),
        wrndrMint.toBuffer()
    ], programId);
}
export function transferKey(vaaMsg, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("transfer", "utf-8"),
        vaaMsg
    ], programId);
}
export function foreignContractKey(chain, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("foreign_contract"),
        (() => {
            const buf = Buffer.alloc(2);
            buf.writeUInt16LE(chain);
            return buf;
        })(),
    ], programId);
}
export function redeemerConfigKey(programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("redeemer"),
    ], programId);
}
//# sourceMappingURL=pdas.js.map